Subject: [Sigtran] Re: [Tsvwg] Fast Retransmit on continuos CRC failure

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 7 Oct 2002 12:05:00 -0600

Randall,

On Mon, 07 Oct 2002, Randall Stewart wrote:

> Hmm.. maybe what this application could consider using (once it gets
> finished.. which I think it is about there) is PR-SCTP. One could
> use the time protocol defined in the draft... then when the
> "maximum time to send" expires on say the faulty data chunk.. the
> application can use this as the key to say.. something is wrong
> a data chunk was not delivered within N seconds.. kill the assocation.
> 
> This would yeild a little bit of flexibility as well.. one could
> need X occurances of this if one wanted...
> 
> That may well make it so an application timer is not needed.. instead
> just use the pr-sctp non-delivery event as the timer expiration...
> 

Yes, I had considered PR-SCTP.  It seems well suited to M2PA: however,
M2PA would need some additional things from MTP2 at the receiver to
handle the loss of guaranteed in-sequence delivery.

--brian

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran